librime: rime::AsciiComposer Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
rime::AsciiComposer Class Reference

`#include <ascii_composer.h>`

Inheritance diagram for rime::AsciiComposer:
[legend]
Collaboration diagram for rime::AsciiComposer:
[legend]

## Public Member Functions
| AsciiComposer (const Ticket &ticket)
| ~AsciiComposer ()
virtual ProcessResult | ProcessKeyEvent (const KeyEvent &key_event)
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const

## Protected Types
using | TimePoint = std::chrono::steady_clock::time_point

## Protected Member Functions
ProcessResult | ProcessCapsLock (const KeyEvent &key_event)
void | LoadConfig (Schema *schema)
bool | ToggleAsciiModeWithKey (int key_code)
void | SwitchAsciiMode (bool ascii_mode, AsciiModeSwitchStyle style)
void | OnContextUpdate (Context *ctx)

## Protected Attributes
AsciiModeSwitchKeyBindings | bindings_
AsciiModeSwitchStyle | caps_lock_switch_style_ = kAsciiModeSwitchNoop
bool | good_old_caps_lock_ = false
bool | toggle_with_caps_ = false
bool | shift_key_pressed_ = false
bool | ctrl_key_pressed_ = false
bool | alt_key_pressed_ = false
bool | super_key_pressed_ = false
TimePoint | toggle_expired_
connection | connection_
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)

## Member Typedef Documentation

## ◆ TimePoint

using rime::AsciiComposer::TimePoint = std::chrono::steady_clock::time_point
| protected

## Constructor & Destructor Documentation

## ◆ AsciiComposer()

rime::AsciiComposer::AsciiComposer | ( | const Ticket & | ticket | ) |

## ◆ ~AsciiComposer()

rime::AsciiComposer::~AsciiComposer | ( |  | ) |

## Member Function Documentation

## ◆ LoadConfig()

void rime::AsciiComposer::LoadConfig | ( | Schema * | schema | ) |
| protected

## ◆ OnContextUpdate()

void rime::AsciiComposer::OnContextUpdate | ( | Context * | ctx | ) |
| protected

## ◆ ProcessCapsLock()

ProcessResult rime::AsciiComposer::ProcessCapsLock | ( | const KeyEvent & | key_event | ) |
| protected

## ◆ ProcessKeyEvent()

ProcessResult rime::AsciiComposer::ProcessKeyEvent | ( | const KeyEvent & | key_event | ) |
| virtual

Reimplemented from rime::Processor.

## ◆ SwitchAsciiMode()

void rime::AsciiComposer::SwitchAsciiMode | ( | bool | ascii_mode,
|  | AsciiModeSwitchStyle | style )
| protected

## ◆ ToggleAsciiModeWithKey()

bool rime::AsciiComposer::ToggleAsciiModeWithKey | ( | int | key_code | ) |
| protected

## Member Data Documentation

## ◆ alt_key_pressed_

bool rime::AsciiComposer::alt_key_pressed_ = false
| protected

## ◆ bindings_

AsciiModeSwitchKeyBindings rime::AsciiComposer::bindings_
| protected

## ◆ caps_lock_switch_style_

AsciiModeSwitchStyle rime::AsciiComposer::caps_lock_switch_style_ = kAsciiModeSwitchNoop
| protected

## ◆ connection_

connection rime::AsciiComposer::connection_
| protected

## ◆ ctrl_key_pressed_

bool rime::AsciiComposer::ctrl_key_pressed_ = false
| protected

## ◆ good_old_caps_lock_

bool rime::AsciiComposer::good_old_caps_lock_ = false
| protected

## ◆ shift_key_pressed_

bool rime::AsciiComposer::shift_key_pressed_ = false
| protected

## ◆ super_key_pressed_

bool rime::AsciiComposer::super_key_pressed_ = false
| protected

## ◆ toggle_expired_

TimePoint rime::AsciiComposer::toggle_expired_
| protected

## ◆ toggle_with_caps_

bool rime::AsciiComposer::toggle_with_caps_ = false
| protected

The documentation for this class was generated from the following files:

- ascii_composer.h
- ascii_composer.cc